apiVersion: v1
kind: List
items:
- apiVersion: extensions/v1beta1
  kind: Deployment
  metadata:
    annotations:
      deployment.kubernetes.io/revision: "1"
    generation: 3
    name: nginx
    namespace: rene-jochums-at
  spec:
    progressDeadlineSeconds: 600
    replicas: 1
    revisionHistoryLimit: 10
    strategy:
      rollingUpdate:
        maxSurge: 1
        maxUnavailable: 0
      type: RollingUpdate
    selector:
      matchLabels:
        container: nginx
    template:
      metadata:
        labels:
          container: nginx
      spec:
        containers:
        - image: registry.wmk8s.com/rene.jochums.at/homepage:v1.0.2
          imagePullPolicy: Always
          name: nginx
          resources: {}
          securityContext:
            allowPrivilegeEscalation: false
            capabilities: {}
            privileged: false
            procMount: Default
            readOnlyRootFilesystem: false
            runAsNonRoot: false
          stdin: true
          terminationMessagePath: /dev/termination-log
          terminationMessagePolicy: File
          tty: true
        dnsPolicy: ClusterFirst
        imagePullSecrets:
        - name: wmk8s
        restartPolicy: Always
        schedulerName: default-scheduler
        securityContext: {}
        terminationGracePeriodSeconds: 30

- kind: Service
  apiVersion: v1
  metadata:
    name: nginx
  spec:
    type: ClusterIP
    selector:
      workloadID_nginx: "true"
    ports:
    - protocol: TCP
      port: 80
      targetPort: 80

- kind: Ingress
  apiVersion: extensions/v1beta1
  metadata:
    annotations:
      certmanager.k8s.io/cluster-issuer: letsencrypt-prod
      kubernetes.io/tls-acme: "true"
      nginx.ingress.kubernetes.io/ssl-redirect: "true"
    generation: 2
    name: website
    namespace: rene-jochums-at
  spec:
    rules:
    - host: rene.jochums.at
      http:
        paths:
        - backend:
            serviceName: nginx
            servicePort: 80
          path: /
    tls:
    - hosts:
      - rene.jochums.at
      secretName: website-prod-tls